Subject: Re: bug#49228: guix import go fails when module does not have a documenation on pkg.go.dev
From: Björn Höfling <[email-masked]>
To: Sarah Morgensen <[email-masked]>
Cc: [email-masked]
Date: Mon, 28 Jun 2021 08:58:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Sarah,

On Fri, 25 Jun 2021 18:18:04 -0700
Sarah Morgensen <[email-masked]> wrote:

> There is currently a patch for this (mine; though I could have named
> it better, I suppose):
> 
> https://issues.guix.gnu.org/49200

Nice coincident :-)

I pushed your patch as

9d9152425e96c408357d0f4961767a5c08076c13

Thanks.
 
> > Additionally, it would be nice if the go-module->guix-package would
> > print out the module it would fetch next (like I did above). Then
> > the broken module would be easier to find in recursive mode.  
> 
> Error reporting in the importers is currently pretty inconsistent and
> could use a lot of improvement. You might be interested in taking a
> look at the PATCH v3 in <https://issues.guix.gnu.org/49196> which
> somewhat addresses this. Comments are always welcome! :)

Good to know. I will have a look at these patches the next days/weeks.

Björn